<?php declare(strict_types=1);

namespace App\Dto\Service\Registry\V2\EventService;

final class Events
{
    /**
     * @var array [...Event]
     */
    private array $events;

    public function addEvent(Event $event): void
    {
        $this->events[] = $event;
    }

    public function getEvents(): array
    {
        return $this->events;
    }
}
