<?php declare(strict_types=1);

namespace App\Enums;

use Illuminate\Cache\TaggedCache;
use Illuminate\Support\Facades\Cache;

enum CacheTag: string
{
    case RegistryV2PrivateKey = 'registry_v2_private_key';

    public function getCache(): TaggedCache
    {
        return Cache::tags($this->value);
    }
}
