@csrf
<x-site.forms.checkbox :title="__('validation.attributes.is_public')" name="is_public" checkboxValue="1" notCheckedValue="0" :userValue="(string) $repository->is_public" />
<x-site.forms.input :title="__('validation.attributes.name')" name="name" type="text" :disabled="!empty($repository->id)" allowed-characters="a-z0-9.-_" :example="'test-1 ' . __('or') . ' 1.2'" :value="$repository->name" :required="empty($repository->id)" autofocus />
<x-site.forms.textarea :title="__('validation.attributes.description')" name="description" :value="$repository->description" />
<x-site.forms.textarea :title="__('validation.attributes.overview')" name="overview" :value="$repository->overview" />
<div class="form-block">
    <button class="button" type="submit">{{ __('Save') }}</button>
</div>
